org.apache.mina.integration.beans

## Class InetAddressEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.mina.integration.beans.AbstractPropertyEditor
    - - org.apache.mina.integration.beans.InetAddressEditor

- All Implemented Interfaces:
    PropertyEditor

      public class InetAddressEditor
      extends AbstractPropertyEditor

  A `PropertyEditor` which converts a `String` into an `InetAddress`. This editor simply calls `InetAddress.getByName(java.lang.String)` when converting from a `String`, and `InetAddress.getHostAddress()` when converting to a `String`.
  Author:
    Apache MINA Project
  See Also:
    `InetAddress`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetAddressEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `defaultText()`
    `protected Object` | `defaultValue()`
    `protected String` | `toText(Object value)`
    `protected Object` | `toValue(String text)`

    - ### Methods inherited from class org.apache.mina.integration.beans.AbstractPropertyEditor

      `getAsText, getValue, setAsText, setTrimText, setValue`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetAddressEditor

          public InetAddressEditor()

  - ### Method Detail

    - #### toText

          protected String toText(Object value)

      Specified by:
        `toText` in class `AbstractPropertyEditor`

    - #### toValue

          protected Object toValue(String text)
                            throws IllegalArgumentException

      Specified by:
        `toValue` in class `AbstractPropertyEditor`
      Throws:
        `IllegalArgumentException`

    - #### defaultText

          protected String defaultText()

      Overrides:
        `defaultText` in class `AbstractPropertyEditor`

    - #### defaultValue

          protected Object defaultValue()

      Overrides:
        `defaultValue` in class `AbstractPropertyEditor`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.